Compare commits

...

6 Commits

13 changed files with 265 additions and 252 deletions

View File

@@ -53,10 +53,12 @@ dotfiles:
template: true
- from: redshift/redshift.conf
to: .config/redshift.conf
- from: vscode/settings.json
to: .config/Code/User/settings.json
- from: vscode/keybindings.json
to: .config/Code/User/keybindings.json
- from: vscodium/product.json
to: .config/VSCodium/product.json
- from: vscodium/settings.json
to: .config/VSCodium/User/settings.json
- from: vscodium/keybindings.json
to: .config/VSCodium/User/keybindings.json
- from: alacritty/alacritty.yml
to: .config/alacritty.yml
template: true

View File

@@ -1,6 +1,6 @@
[Settings]
gtk-theme-name=Breeze
gtk-icon-theme-name=breeze-dark
gtk-icon-theme-name=breeze
gtk-font-name=DejaVu Sans {{ ((machine.font_size|int - 2)|float * 2.0) | round(0, 'floor') | int }}
gtk-cursor-theme-name=breeze_cursors
gtk-cursor-theme-size=0

View File

@@ -1,6 +1,6 @@
[Settings]
gtk-theme-name=Breeze
gtk-icon-theme-name=breeze-dark
gtk-icon-theme-name=breeze
gtk-font-name=DejaVu Sans {{ machine.font_size|int - 2 }}
gtk-cursor-theme-name=breeze_cursors
gtk-cursor-theme-size=0

View File

@@ -2,7 +2,7 @@
# Any customization should be done in ~/.gtkrc-2.0.mine instead.
gtk-theme-name="Breeze"
gtk-icon-theme-name="breeze-dark"
gtk-icon-theme-name="breeze"
gtk-font-name="DejaVu Sans {{ machine.font_size| int - 2 }}"
gtk-cursor-theme-name="breeze_cursors"
gtk-cursor-theme-size=0

View File

@@ -358,13 +358,12 @@ bar {
font pango:Inconsolata, FontAwesome {{ machine.font_size }}
colors {
background #272822
background #000000
statusline #ffffff
separator #555555
# separator #e5b567
# focused_background #303030
# focused_separator #272822
focused_separator #e5b567
focused_background #272822
# border bg text
focused_workspace #e5b567 #4f676a #ffffff

View File

@@ -94,10 +94,39 @@
state: present
become: true
- name: clean cache
command: paccache -rk2 -ruk0
become: true
changed_when: false
- block:
- name: install pacman cache clean service
copy:
dest: /etc/systemd/system/pacman-cache-cleanup.service
owner: root
group: root
mode: '0644'
content: |
[Service]
Type=oneshot
ExecStart=/bin/sh -c '/usr/bin/paccache -rk1 && /usr/bin/paccache -ruk0'
RemainAfterExit=true
become: true
- name: install pacman cache clean timer
copy:
dest: /etc/systemd/system/pacman-cache-cleanup.timer
owner: root
group: root
mode: '0644'
content: |
[Timer]
OnCalendar=daily
become: true
- name: enable pacman cache clean timer
systemd:
name: pacman-cache-cleanup.timer
enabled: true
state: started
daemon_reload: true
become: true
tags: [pacman_cache_cleanup]
when: distro == 'archlinux'
tags: [system-update]

View File

@@ -1,14 +1,22 @@
#!/usr/bin/env bash
# Steam setting: Proton 4.11-13
#
# * It *must not* have any symlinks for the directmusic dlls like:
# pfx/dosdevices/c:/windows/syswow64/dmusic.dll
set -o nounset
set -o xtrace
set -o errexit
BASEDIR=/var/games/gothic2
STEAMAPPS=/var/games/steamapps/
BASEDIR="${STEAMAPPS}/common/Gothic II"
export GAMEDATA=${BASEDIR}/data/
export ARCHIVE=${BASEDIR}/gothic2.data.tar.zstd
export WINEPREFIX=${BASEDIR}/wineprefix
export WINEPREFIX="${STEAMAPPS}/compatdata/39510/pfx/"
export WINEARCH=win64
export WINEVERSION=6.3
@@ -17,17 +25,17 @@ DOWNLOADDIR=~/download/gothic2
mkdir -p "${WINEPREFIX}"
if [[ "$(wine --version)" != "wine-${WINEVERSION}" ]] ; then
printf '%s\n' "Wine version ${WINEVERSION} required" >&2
exit 1
fi
# if [[ "$(wine --version)" != "wine-${WINEVERSION}" ]] ; then
# printf '%s\n' "Wine version ${WINEVERSION} required" >&2
# exit 1
# fi
archive() {
origin="$1"
if [[ -e "${ARCHIVE}" ]] ; then
return
fi
tar -cv --zstd -p -f "${ARCHIVE}" -C "$1" .
tar -cv --zstd -p -f "${ARCHIVE}" -C "${GAMEDATA}" .
}
extract() {
@@ -118,16 +126,12 @@ case $1 in
curl -C - -L -O "https://github.com/Kirides/GD3D11/releases/download/v17.7-dev20/Gothic2-GD3D11-v17.7-dev20.zip"
curl -C - -L -o Normalmaps_LHiver.zip "http://www.gothic-dx11.de/download/Normalmaps_LHiver.zip"
curl -C - -L -o Normalmaps_LHiver.zip "https://www.worldofgothic.de/download.php?id=1530"
curl -C - -L -O https://github.com/Kirides/ninja-quickloot/releases/download/v1.9.5/Quickloot.vdf
curl -C - -L -O https://github.com/szapp/Ninja/releases/download/v2.7.12/Ninja-2.7.12.exe
laatmp=$(mktemp -d)
unzip -o LaaHack.zip -d "${laatmp}"
# winetricks -q dxvk
winetricks -q directmusic
if command -v setup_dxvk >/dev/null ; then
@@ -137,7 +141,7 @@ case $1 in
winetricks dxvk
fi
read -p 'During installation, use "Z:\var\games\gothic2\data" as the install directory! <Enter> to continue, <CTRL+C> to abort '
read -p 'During installation, use "${GAMEDATA//\//\\}" as the install directory! <Enter> to continue, <CTRL+C> to abort '
wine "${DOWNLOADDIR}"/g2addon-2_6.exe
wine "${DOWNLOADDIR}"/gothic2_fix-2.6.0.0-rev2.exe
@@ -150,13 +154,26 @@ case $1 in
unzip -o "${DOWNLOADDIR}"/Gothic2-GD3D11-v17.7-dev20.zip -d ./system/
ln Data/ModVDF/LHE204_DE.mod Data/LHE204_DE.mod
cp "${DOWNLOADDIR}"/Quickloot.vdf ./Data
t="./system/GD3D11/Textures/replacements/Normalmaps_xxx"
mkdir -p "${t}"
set +o errexit
unzip -o "${DOWNLOADDIR}"/Normalmaps_LHiver.zip -d "${t}"
zip_exit="$?"
set -o errexit
if (( $zip_exit != 0 )) && (( $zip_exit != 2 )) ; then
echo zip failed
exit 1
fi
unset t
laatmp=$(mktemp -d)
unzip -o "${DOWNLOADDIR}"/LaaHack.zip -d "${laatmp}"
read -p "For the LAA Hack, select only ${GAMEDATA}/system/Gothic2.exe [<Enter> to continue] "
wine "${laatmp}"/LaaHack.exe
rm -rf "${laatmp}"
@@ -165,7 +182,6 @@ case $1 in
read -p "Now run the game once and exit! [<Enter> to continue] "
ini
ln Data/ModVDF/LHE204_DE.mod Data/LHE204_DE.mod
;;
ini)
ini

265
vim/vimrc
View File

@@ -4,73 +4,38 @@ call plug#begin('~/.local/share/nvim/plugged')
" === plugins ===
"Plug 'vim-airline/vim-airline'
"Plug 'vim-airline/vim-airline-themes'
Plug 'itchyny/lightline.vim'
Plug 'godlygeek/tabular'
Plug 'lepture/vim-jinja'
Plug 'majutsushi/tagbar'
" Plug 'nblock/vim-dokuwiki'
Plug 'reedes/vim-pencil'
Plug 'saltstack/salt-vim'
Plug 'sickill/vim-monokai'
" Plug 'patstockwell/vim-monokai-tasty'
" Plug 'sjl/gundo.vim'
Plug 'tpope/vim-commentary'
Plug 'tpope/vim-fugitive'
" Plug 'tpope/vim-speeddating'
" Plug 'tpope/vim-surround'
Plug 'airblade/vim-gitgutter'
Plug 'junegunn/goyo.vim'
Plug 'junegunn/limelight.vim'
" Plug 'sheerun/vim-polyglot'
" Plug 'freitass/todo.txt-vim'
Plug 'nathanaelkane/vim-indent-guides'
function! Cond(Cond, ...)
let opts = get(a:000, 0, {})
return a:Cond ? opts : extend(opts, { 'on': [], 'for': [] })
endfunction
"Plugin 'Lokaltog/vim-easymotion'
"Plugin 'PeterRincker/vim-argumentative'
"Plugin 'flazz/vim-colorschemes'
"Plugin 'jmcantrell/vim-virtualenv'
"Plugin 'kien/ctrlp.vim'
"Plugin 'klen/python-mode'
"Plugin 'mbbill/undotree'
Plug 'scrooloose/nerdtree'
"Plugin 'sjl/gundo.vim'
"Plugin 'terryma/vim-expand-region'
"Plugin 'terryma/vim-multiple-cursors'
"Plugin 'wellle/targets.vim'
"Plugin 'wincent/Command-T'
Plug 'vimwiki/vimwiki'
"Plug 'blindFS/vim-taskwarrior'
" Plug 'tbabej/taskwiki'
Plug 'rodjek/vim-puppet'
Plug 'suan/vim-instant-markdown'
"Plug 'marshallward/vim-restructuredtext'
Plug 'vim-syntastic/syntastic'
"Plug 'ElmCast/elm-vim'
"Plug 'avh4/elm-format'
" editing plugins
Plug 'godlygeek/tabular', Cond(!exists('g:vscode'))
Plug 'nathanaelkane/vim-indent-guides', Cond(!exists('g:vscode'))
Plug 'tpope/vim-commentary', Cond(!exists('g:vscode'))
Plug 'airblade/vim-gitgutter', Cond(!exists('g:vscode'))
Plug 'fatih/vim-go'
Plug 'hashivim/vim-terraform'
" ui
Plug 'sickill/vim-monokai', Cond(!exists('g:vscode'))
Plug 'itchyny/lightline.vim', Cond(!exists('g:vscode'))
Plug 'editorconfig/editorconfig-vim'
" lang integrations
Plug 'lepture/vim-jinja', Cond(!exists('g:vscode'))
Plug 'fatih/vim-go', Cond(!exists('g:vscode'))
Plug 'hashivim/vim-terraform', Cond(!exists('g:vscode'))
Plug 'editorconfig/editorconfig-vim', Cond(!exists('g:vscode'))
Plug 'rust-lang/rust.vim', Cond(!exists('g:vscode'))
Plug 'rodjek/vim-puppet', Cond(!exists('g:vscode'))
Plug 'leafgarland/typescript-vim'
" helpers
"" distraction free writing
Plug 'junegunn/limelight.vim', Cond(!exists('g:vscode'))
Plug 'junegunn/goyo.vim', Cond(!exists('g:vscode'))
Plug 'reedes/vim-pencil', Cond(!exists('g:vscode'))
Plug 'prettier/vim-prettier', { 'do': 'npm install' }
"" markdown
Plug 'suan/vim-instant-markdown', Cond(!exists('g:vscode'))
Plug 'yuezk/vim-js'
Plug 'maxmellon/vim-jsx-pretty'
Plug 'evanleck/vim-svelte', {'branch': 'main'}
"Plug 'neoclide/coc.nvim', {'branch': 'release'}
" Plug 'Chiel92/vim-autoformat'
Plug 'evanleck/vim-svelte', {'branch': 'main'}
Plug 'cespare/vim-toml', { 'branch': 'main' }
call plug#end()
filetype plugin indent on
@@ -199,82 +164,52 @@ map Y y$
map j gj
map k gk
nnoremap <C-h> <C-w>h
nnoremap <C-j> <C-w>j
nnoremap <C-k> <C-w>k
nnoremap <C-l> <C-w>l
nmap <C-n> :bnext<CR>
nmap <C-p> :bprev<CR>
map N Nzz
map n nzz
inoremap jj <ESC>
nnoremap <leader>v <C-w>v<C-w>l
nnoremap <leader>m :InstantMarkdownPreview<CR>
nnoremap <leader>u :GundoToggle<CR>
nnoremap <leader>d :diffupdate<CR>
nmap <F9> :Goyo<CR>:TogglePencil<CR>:Limelight!!<CR>
nmap <leader>w :Goyo<CR>:TogglePencil<CR>:Limelight!!<CR>
nmap <leader>c :%w !xclip -selection clipboard<CR>
nmap <leader>x :r !xclip -out -selection -clipboard<CR><CR>
nmap <leader>f :Autoformat<CR>
" no more ex mode
nnoremap Q <nop>
" === autocommands ===
" Use // in visual mode to search for selection
" https://vim.fandom.com/wiki/Search_for_visually_selected_text
vnoremap // y/\V<C-R>=escape(@",'/\')<CR><CR>
"" autosave views when closing and restoring when opening again.
"autocmd BufWinLeave *.* mkview
"autocmd BufWinEnter *.* silent loadview
if exists('g:vscode')
xmap gc <Plug>VSCodeCommentary
nmap gc <Plug>VSCodeCommentary
omap gc <Plug>VSCodeCommentary
nmap gcc <Plug>VSCodeCommentaryLine
else
nnoremap <C-h> <C-w>h
nnoremap <C-j> <C-w>j
nnoremap <C-k> <C-w>k
nnoremap <C-l> <C-w>l
" === plugin setup ===
nmap <C-n> :bnext<CR>
nmap <C-p> :bprev<CR>
" == colorscheme ==
" set background=light
" let g:solarized_termcolors=16
" let g:solarized_termtrans=1
" let g:solarized_contrast="normal"
" let g:solarized_visibility="normal"
syntax enable
silent! colorscheme monokai
nnoremap <leader>m :InstantMarkdownPreview<CR>
" == tagbar ==
nnoremap <F10> :TagbarToggle<CR>
let g:tagbar_map_jump = "i"
let g:tagbar_left = 0
let g:tagbar_vertical = 0
let g:tagbar_width = 50
let g:tagbar_autoclose = 1
let g:tagbar_autofocus = 1
let g:tagbar_sort = 0 " 1: sort by name, 0: sort by position
let g:tagbar_compact = 1
let g:tagbar_indent = 2
let g:tagbar_show_linenumbers = 0
let g:tagbar_foldlevel = 99 " unfold all
nnoremap <leader>u :GundoToggle<CR>
nnoremap <leader>d :diffupdate<CR>
" == airline ==
"let g:airline_right_sep = ''
"let g:airline_left_sep = ''
"let g:airline#extensions#disable_rtp_load = 1
"let g:airline_extensions = ['whitespace']
"let g:airline_theme='powerlineish'
"let g:airline_powerline_fonts = 1
"let g:airline_section_x = airline#section#create(['%{tagbar#currenttag("%s", "", "f")}','' , ' %{PencilMode()}', ' [', 'filetype', ']'])
"let g:pencil#mode_indicators = {'hard': 'H', 'auto': 'A', 'soft': 'S', 'off': '',}
"let g:airline#extensions#whitespace#enabled = 1
"let g:airline#extensions#whitespace#symbol = ''
"let g:airline#extensions#whitespace#checks = ['trailing']
nmap <F9> :Goyo<CR>:TogglePencil<CR>:Limelight!!<CR>
nmap <leader>w :Goyo<CR>:TogglePencil<CR>:Limelight!!<CR>
let g:lightline = {
nmap <leader>c :%w !xclip -selection clipboard<CR>
nmap <leader>x :r !xclip -out -selection -clipboard<CR><CR>
nmap <leader>f :Autoformat<CR>
nnoremap <leader>v <C-w>v<C-w>l
syntax enable
silent! colorscheme monokai
let g:lightline = {
\ 'colorscheme': 'wombat',
\ 'active': {
\ 'left': [ [ 'mode', 'paste' ],
@@ -293,68 +228,44 @@ let g:lightline = {
\ },
\ }
function! LightLineFilename()
return fnamemodify(expand('%F'), ":~:h")
endfunction
function! LightLineFilename()
return fnamemodify(expand('%F'), ":~:h")
endfunction
" == pencil ==
let g:pencil#textwidth = 80
let g:pencil#autoformat = 1
let g:pencil#cursorwrap = 1
let g:pencil#wrapModeDefault = 'soft'
let g:pencil#cursorwrap = 0
" == pencil ==
let g:pencil#textwidth = 80
let g:pencil#autoformat = 1
let g:pencil#cursorwrap = 1
let g:pencil#wrapModeDefault = 'soft'
let g:pencil#cursorwrap = 0
" == goyo ==
let g:goyo_width = 100
let g:goyo_height = "90%"
let g:goyo_linenr = 0
" == goyo ==
let g:goyo_width = 100
let g:goyo_height = "90%"
let g:goyo_linenr = 0
" == limelight ==
let g:limelight_default_coefficient = 0.5
" == limelight ==
let g:limelight_default_coefficient = 0.5
" === functions ===
function! DeleteTrailingWS()
exe "normal mz"
%s/\s\+$//e
exe "normal `z"
endfunction
autocmd BufWritePre * :call DeleteTrailingWS()
" === functions ===
function! DeleteTrailingWS()
exe "normal mz"
%s/\s\+$//e
exe "normal `z"
endfunction
autocmd BufWritePre * :call DeleteTrailingWS()
autocmd FileType yaml set shiftwidth=2
autocmd FileType toml set shiftwidth=2
set completeopt-=preview
let g:ycm_add_preview_to_completeopt = 0
autocmd FileType yaml set shiftwidth=2
autocmd FileType toml set shiftwidth=2
autocmd FileType html setl shiftwidth=2
set completeopt-=preview
let g:ycm_add_preview_to_completeopt = 0
let g:instant_markdown_autostart = 0
let g:instant_markdown_autostart = 0
let g:terraform_align = 1
let g:terraform_fmt_on_save=1
let g:terraform_align = 1
let g:terraform_fmt_on_save=1
let g:rustfmt_autosave = 1
if has("autocmd")
au BufReadPost * if line("'\"") > 1 && line("'\"") <= line("$") | exe "normal! g'\"" | endif
" https://stackoverflow.com/a/8585343
map <leader>q :bp<bar>sp<bar>bn<bar>bd<CR>
endif
let g:ycm_server_python_interpreter = "python3"
au FileType html setl shiftwidth=2
" Use // in visual mode to search for selection
" https://vim.fandom.com/wiki/Search_for_visually_selected_text
vnoremap // y/\V<C-R>=escape(@",'/\')<CR><CR>
if v:version >= 700
au BufLeave * let b:winview = winsaveview()
au BufEnter * if(exists('b:winview')) | call winrestview(b:winview) | endif
endif
" https://github.com/golang/tools/blob/master/gopls/doc/vim.md
let g:go_def_mode='gopls'
let g:go_info_mode='gopls'
" https://stackoverflow.com/a/8585343
map <leader>q :bp<bar>sp<bar>bn<bar>bd<CR>
let g:rustfmt_autosave = 1

View File

@@ -1,7 +0,0 @@
// Place your key bindings in this file to override the defaultsauto[]
[
{
"key": "ctrl+3",
"command": "workbench.action.terminal.focus"
}
]

15
vscodium/install.sh Executable file
View File

@@ -0,0 +1,15 @@
#!/usr/bin/env bash
set -o nounset
set -o pipefail
set -o errexit
codium --install-extension ms-vscode.cpptools
codium --install-extension ms-python.python
codium --install-extension rust-lang.rust-analyzer
codium --install-extension asvetliakov.vscode-neovim
codium --install-extension monokai.theme-monokai-pro-vscode
codium --install-extension yzhang.markdown-all-in-one
codium --install-extension puppet.puppet-vscode

26
vscodium/keybindings.json Normal file
View File

@@ -0,0 +1,26 @@
[
// {
// "key": "ctrl+3",
// "command": "workbench.action.terminal.focus"
// },
{
"key": "ctrl+alt+b",
"command": "workbench.action.toggleActivityBarVisibility"
},
{
"key": "ctrl+b",
"command": "workbench.action.toggleSidebarVisibility"
},
{
"command": "vscode-neovim.compositeEscape1",
"key": "j",
"when": "neovim.mode == insert && editorTextFocus",
"args": "j"
},
{
"command": "vscode-neovim.compositeEscape2",
"key": "k",
"when": "neovim.mode == insert && editorTextFocus",
"args": "k"
}
]

9
vscodium/product.json Normal file
View File

@@ -0,0 +1,9 @@
{
"extensionsGallery": {
"serviceUrl": "https://marketplace.visualstudio.com/_apis/public/gallery",
"cacheUrl": "https://vscode.blob.core.windows.net/gallery/index",
"itemUrl": "https://marketplace.visualstudio.com/items",
"controlUrl": "",
"recommendationsUrl": ""
}
}

View File

@@ -1,60 +1,73 @@
{
"workbench.colorTheme": "Visual Studio Light",
"vim.neovimPath": "/usr/bin/nvim",
"explorer.confirmDelete": false,
"window.zoomLevel": 0,
"terraform.telemetry.enabled": false,
"editor.formatOnSave": true,
"vim.gdefault": true,
"vim.visualstar": true,
"vim.enableNeovim": true,
"git.detectSubmodulesLimit": 50,
"files.autoSave": "onFocusChange",
"editor.fontFamily": "'Inconsolata','Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'",
"ansible.dockerImage": "",
"editor.accessibilitySupport": "off",
"editor.lineNumbers": "relative",
"editor.mouseWheelZoom": true,
"editor.renderWhitespace": "none",
"editor.cursorSurroundingLines": 7,
"editor.minimap.renderCharacters": false,
"editor.fontFamily": "'Droid Sans Mono'",
"editor.formatOnSave": true,
"editor.lineNumbers": "off",
"editor.minimap.showSlider": "always",
"editor.minimap.size": "fill",
"editor.renderWhitespace": "none",
"explorer.confirmDelete": false,
"explorer.confirmDragAndDrop": false,
"explorer.incrementalNaming": "smart",
"extensions.ignoreRecommendations": true,
"files.eol": "\n",
"files.hotExit": "off",
"files.trimFinalNewlines": true,
"files.trimTrailingWhitespace": true,
"workbench.enableExperiments": false,
"workbench.startupEditor": "newUntitledFile",
"workbench.activityBar.visible": false,
"workbench.iconTheme": "material-icon-theme",
"workbench.tree.indent": 12,
"window.menuBarVisibility": "toggle",
"window.title": "${rootName}${separator}${dirty}${activeEditorShort}${separator}VSCode",
"explorer.confirmDragAndDrop": false,
"explorer.incrementalNaming": "smart",
"search.smartCase": true,
"extensions.ignoreRecommendations": true,
"terminal.external.linuxExec": "alacritty",
"problems.showCurrentInStatus": true,
"git.detectSubmodulesLimit": 50,
"problems.decorations.enabled": false,
"update.mode": "none",
"problems.showCurrentInStatus": true,
"rust-client.autoStartRls": false,
"rust-client.disableRustup": true,
"search.smartCase": true,
"telemetry.enableCrashReporter": false,
"telemetry.enableTelemetry": false,
"ansible.dockerImage": "",
"vim.cursorStylePerMode.normal": "block",
"terminal.external.linuxExec": "",
"terminal.integrated.mouseWheelScrollSensitivity": 3,
"terraform.telemetry.enabled": false,
"update.mode": "none",
"vim.cursorStylePerMode.insert": "line",
"vim.cursorStylePerMode.normal": "block",
"vim.cursorStylePerMode.replace": "underline",
"vim.easymotion": true,
"vim.enableNeovim": true,
"vim.gdefault": true,
"vim.hlsearch": true,
"vim.leader": "<space>",
"vim.neovimPath": "/usr/bin/nvim",
"vim.vimrc.enable": true,
"vim.visualstar": true,
"editor.wordWrap": "off",
"vscode-neovim.neovimExecutablePaths.linux": "/usr/bin/nvim",
"window.menuBarVisibility": "toggle",
"window.title": "[code] ${rootName}${separator}${dirty}${activeEditorShort}${separator}VSCode",
"workbench.colorCustomizations": {
"statusBar.background": "#005f5f",
"statusBar.noFolderBackground": "#005f5f",
"statusBar.debuggingBackground": "#005f5f"
},
"vim.vimrc.enable": true,
"editor.fontSize": 15,
"rust-client.disableRustup": true,
"rust-client.autoStartRls": false,
"terminal.integrated.mouseWheelScrollSensitivity": 3
}
"workbench.enableExperiments": false,
"workbench.iconTheme": "Monokai Classic Icons",
"workbench.startupEditor": "newUntitledFile",
"workbench.tree.indent": 14,
"security.workspace.trust.enabled": false,
"scm.inputFontSize": 12,
"debug.console.fontSize": 12,
"terminal.integrated.fontSize": 12,
"files.autoSave": "onFocusChange",
"editor.fontWeight": "normal",
"editor.cursorStyle": "block",
"editor.minimap.renderCharacters": false,
"editor.minimap.size": "fit",
"workbench.colorTheme": "Monokai Classic",
"workbench.tree.renderIndentGuides": "always",
"breadcrumbs.icons": false,
"window.titleSeparator": " — ",
"explorer.excludeGitIgnore": true,
"puppet.editorService.formatOnType.enable": true,
"puppet.installType": "agent",
"puppet.installDirectory": "/usr/bin/puppet",
"window.zoomLevel": 0.1,
"workbench.activityBar.visible": false
}